import numpy as np
from timing import timeit
from generic import uniq1, uniq2

@timeit
def time_uniq1(seq):
    return uniq1(seq)

@timeit
def time_uniq2(seq):
    return uniq2(seq)

for irange in [10, 100]:
    print('integers range', irange)
    seq = np.random.randint(0, irange, (1000000, ))
    assert time_uniq1(seq) == time_uniq2(seq)
